<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__adc" kind="group">
    <compoundname>group_hal_impl_adc</compoundname>
    <title>ADC (Analog Digital Converter)</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>

<para><heading level="1">Features</heading></para>
<para>The PSoC 6 ADC supports the following features:<itemizedlist>
<listitem><para>Resolution: 12 bit</para></listitem><listitem><para>Only <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b">CYHAL_POWER_LEVEL_DEFAULT</ref> and CYHAL_POWER_LEVEL_OFF are defined. The default power level will automatically adjust based on smple rate.</para></listitem><listitem><para>Average counts: 2, 4, 8, 16, 32, 64, 128, 256</para></listitem><listitem><para>Up to four unique acquisition times.</para></listitem><listitem><para>DMA-based transfer when using <ref kindref="member" refid="group__group__hal__adc_1ga7386fc156403ea08380c4410665b4ae2">cyhal_adc_read_async</ref>. When using <ref kindref="member" refid="group__group__hal__adc_1ga4bdd118986c58fdfe4d832123fb8a31d">cyhal_adc_read_async_uv</ref>, only interrupt-driven software copy is supported. </para></listitem></itemizedlist>
</para>
    </detaileddescription>
  </compounddef>
</doxygen>